#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n, br = 0, suma = 0;
    cin >> n;
    int x[100005], y[100005], z[100005], p[200005];
    for(int i = 0; i < n; i++)
        cin >> x[i];
    for(int i = 0; i < n; i++)
        cin >> y[i];
    for(int i = 0; i < n; i++)
        cin >> z[i];
    for(int i = 0; i < n; i++){
        for(int j = 0; j < n; j++){
            if(x[i] == y[j]){
                for(int k = 0; k < n; k++){
                    if(z[k] == j + 1)
                        suma++;
                }
            }
        }
    }

    cout << suma;

    return 0;
}